<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Request a Quote Hyva Compatibility
 */

namespace Amasty\RequestQuoteHyva\Block\Product;

use Magento\Catalog\Api\Data\ProductInterface;
use Magento\Catalog\Block\Product\AwareInterface as ProductAwareInterface;

class Action extends \Amasty\RequestQuote\Block\Product\Action implements ProductAwareInterface
{
    /**
     * @var ProductInterface
     */
    private ProductInterface $product;

    public function setProduct(ProductInterface $product): ProductAwareInterface
    {
        $this->product = $product;

        return $this;
    }
}
