<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Request a Quote Hyva Compatibility
 */

namespace Amasty\RequestQuoteHyva\Model;

use Amasty\Base\Model\ConfigProviderAbstract;

class ConfigProvider extends ConfigProviderAbstract
{
    /**
     * @var string
     */
    protected $pathPrefix = 'amasty_request_quote/';
    private const CONFIG_PATH_IS_ALLOW_CUSTOMIZE_PRICE = 'general/is_allow_customize_price';

    public function isAllowCustomizePrice(): bool
    {
        return $this->isSetFlag(self::CONFIG_PATH_IS_ALLOW_CUSTOMIZE_PRICE);
    }
}
